"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const readFile_1 = __importDefault(require("../../lib/cmd/readFile"));
const npmName = async ({ cwd, log }) => {
    const path = path_1.join(cwd, 'package.json');
    const isExists = await access_1.default(path);
    if (!isExists) {
        throw new Error('package.json is not found');
    }
    log.debug('Read the package.json');
    const config = await readFile_1.default(path, true);
    if (typeof config.name !== 'string') {
        throw new TypeError('The package name is not found');
    }
    return config.name;
};
exports.default = npmName;
